Imports System.Data
Imports Infragistics.WebUI.UltraWebGrid
Imports Infragistics.WebUI.UltraWebGrid.DocumentExport
Imports Infragistics.Documents.Report

Partial Class _Default
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Dim ds As DataSet = New DataSet
        Dim dt As DataTable = New DataTable("Customer")
        dt.Columns.Add("CustomerID", GetType(System.Int32))
        dt.Columns.Add("CustomerName", GetType(System.String))
        dt.Columns.Add("Date", GetType(DateTime))
        dt.Rows.Add(New Object() {1, "John Lever", DateTime.Now})
        dt.Rows.Add(New Object() {2, "Walter Smith", DateTime.Now.AddDays(1)})
        dt.Rows.Add(New Object() {3, "Kathy Lever", DateTime.Now.AddDays(2)})
        dt.Rows.Add(New Object() {4, "George Wills", DateTime.Now.AddDays(3)})
        ds.Tables.Add(dt)
        Me.UltraWebGrid1.DataSource = ds
        Me.UltraWebGrid1.DataBind()

    End Sub

    Protected Sub Button1_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim dx1 As New UltraWebGridDocumentExporter
        dx1.Format = Infragistics.Documents.Report.FileFormat.PDF
        dx1.DataExportMode = DocumentExport.DataExportMode.DataInGridOnly
        'dx1.TargetPaperSize = Infragistics.Documents.Report.PageSizes.Letter
        dx1.TargetPaperOrientation = Infragistics.Documents.Report.PageOrientation.Landscape
        dx1.AutoSizeRows = Infragistics.WebUI.Shared.DefaultableBoolean.True
        dx1.DownloadName = "ReportName.pdf"
        dx1.ExportMode = Exporter.ExportMode.InBrowser
        'dx1.EnableTheming = False
        dx1.EnableViewState = False
        'Dim myStream As New System.IO.MemoryStream
        Me.Controls.Add(dx1)
        dx1.Export(Me.UltraWebGrid1)

    End Sub
End Class
